| Qore DataProvider Module Reference 3.2.2

Loading...
Searching...
No Matches
Functions
DataProvider Generic Search Operator Functions

## Functions
hash< SearchOperatorInfo > | DataProvider::dp_make_op (string op, auto arg)
hash< SearchOperatorInfo > | DataProvider::dp_op_between (auto l, auto r)
| returns an SearchOperatorInfo hash for the `"between"` operator with the given arguments
hash< SearchOperatorInfo > | DataProvider::dp_op_eq (auto arg)
| returns an SearchOperatorInfo hash for the `"="` operator with the given argument
hash< SearchOperatorInfo > | DataProvider::dp_op_ge (auto arg)
| returns an SearchOperatorInfo hash for the `">="` operator with the given argument
hash< SearchOperatorInfo > | DataProvider::dp_op_gt (auto arg)
| returns an SearchOperatorInfo hash for the `">"` operator with the given argument
hash< SearchOperatorInfo > | DataProvider::dp_op_in ()
| returns an SearchOperatorInfo hash for the `"in"` operator with all arguments passed to the function
hash< SearchOperatorInfo > | DataProvider::dp_op_in (list< auto > args)
| returns an SearchOperatorInfo hash for the `"in"` operator with the given argument list as the first argument
hash< SearchOperatorInfo > | DataProvider::dp_op_le (auto arg)
| returns an SearchOperatorInfo hash for the `"<="` operator with the given argument
hash< SearchOperatorInfo > | DataProvider::dp_op_like (string str)
| returns an SearchOperatorInfo hash for the SQL-like `"like"` operator with the given argument
hash< SearchOperatorInfo > | DataProvider::dp_op_lt (auto arg)
| returns an SearchOperatorInfo hash for the `"<"` operator with the given argument
hash< SearchOperatorInfo > | DataProvider::dp_op_ne (auto arg)
| returns an SearchOperatorInfo hash for the `"!="` or `"<>"` operator with the given argument
hash< SearchOperatorInfo > | DataProvider::dp_op_not (hash< auto > arg)
| returns an SearchOperatorInfo hash for the `"not"` operator
hash< SearchOperatorInfo > | DataProvider::dp_op_regex (string str)
| returns an SearchOperatorInfo hash for regular expression matches

## Detailed Description

These are the generic operators that can be used for searching using the generic data provider search APIs:

- dp_op_between(): for the `"between"` operator
- dp_op_in(): for the `"in"` operator
- dp_op_like(): for the `"like"` operator
- dp_op_ge(): for the `">="` operator when comparing field values to immediate values
- dp_op_gt(): for the `">"` operator when comparing field values to immediate values
- dp_op_le(): for the `"<="` operator when comparing field values to immediate values
- dp_op_lt(): for the `"<"` operator when comparing field values to immediate values
- dp_op_ne(): for the `"!="` or `"<>"` operator when comparing field values to immediate values
- dp_op_eq(): for the `"="` operator when comparing field values to immediate values
- dp_op_not(): for negating other operators
- dp_op_regex(): for the regular expression matches

## Function Documentation

## ◆ dp_make_op()

hash< SearchOperatorInfo > DataProvider::dp_make_op | ( | string | op,
|  | auto | arg )

returns an SearchOperatorInfo hash

## ◆ dp_op_between()

hash< SearchOperatorInfo > DataProvider::dp_op_between | ( | auto | l,
|  | auto | r )

returns an SearchOperatorInfo hash for the `"between"` operator with the given arguments

Neither of which can be NULL or NOTHING

Example:
  AbstractDataProviderRecordIterator i = dp.searchRecords({"name": dp_op_between("US", "UX")});

Parameters

  l | the lower bound for the `"between"` operator
  r | the upper bound for the `"between"` operator

Returns
  an SearchOperatorInfo hash for use in generic search criteria

## ◆ dp_op_eq()

hash< SearchOperatorInfo > DataProvider::dp_op_eq | ( | auto | arg | ) |

returns an SearchOperatorInfo hash for the `"="` operator with the given argument

Example:
  AbstractDataProviderRecordIterator i = dp.searchRecords({"name": dp_op_eq("Smith")});

Parameters

  arg | the argument for the operator

Returns
  an SearchOperatorInfo hash for use in generic search criteria

## ◆ dp_op_ge()

hash< SearchOperatorInfo > DataProvider::dp_op_ge | ( | auto | arg | ) |

returns an SearchOperatorInfo hash for the `">="` operator with the given argument

Example:
  AbstractDataProviderRecordIterator i = dp.searchRecords({"name": dp_op_ge("Apple")});

Parameters

  arg | the argument for the operator

Returns
  an SearchOperatorInfo hash for use in generic search criteria

## ◆ dp_op_gt()

hash< SearchOperatorInfo > DataProvider::dp_op_gt | ( | auto | arg | ) |

returns an SearchOperatorInfo hash for the `">"` operator with the given argument

Example:
  AbstractDataProviderRecordIterator i = dp.searchRecords({"name": dp_op_gt("Apple")});

Parameters

  arg | the argument for the operator

Returns
  an SearchOperatorInfo hash for use in generic search criteria

## ◆ dp_op_in() [1/2]

hash< SearchOperatorInfo > DataProvider::dp_op_in | ( |  | ) |

returns an SearchOperatorInfo hash for the `"in"` operator with all arguments passed to the function

Example:
  AbstractDataProviderRecordIterator i = dp.searchRecords({"name": dp_op_in(200, 300, 500, 9)});

Returns
  an SearchOperatorInfo hash for use in generic search criteria

## ◆ dp_op_in() [2/2]

hash< SearchOperatorInfo > DataProvider::dp_op_in | ( | list< auto > | args | ) |

returns an SearchOperatorInfo hash for the `"in"` operator with the given argument list as the first argument

Example:
  AbstractDataProviderRecordIterator i = dp.searchRecords({"name": dp_op_in(name_list)});

Parameters

  args | a list of values for the `"in"` operator

Returns
  an SearchOperatorInfo hash for use in generic search criteria

## ◆ dp_op_le()

hash< SearchOperatorInfo > DataProvider::dp_op_le | ( | auto | arg | ) |

returns an SearchOperatorInfo hash for the `"<="` operator with the given argument

Example:
  AbstractDataProviderRecordIterator i = dp.searchRecords({"name": dp_op_le("Zebra")});

Parameters

  arg | the argument for the operator

Returns
  an SearchOperatorInfo hash for use in generic search criteria

## ◆ dp_op_like()

hash< SearchOperatorInfo > DataProvider::dp_op_like | ( | string | str | ) |

returns an SearchOperatorInfo hash for the SQL-like `"like"` operator with the given argument

Example:
  AbstractDataProviderRecordIterator i = dp.searchRecords({"name": dp_op_like("%Smith%")});

Parameters

  str | the argument for the operator

Returns
  an SearchOperatorInfo hash for use in generic search criteria

## ◆ dp_op_lt()

hash< SearchOperatorInfo > DataProvider::dp_op_lt | ( | auto | arg | ) |

returns an SearchOperatorInfo hash for the `"<"` operator with the given argument

Example:
  AbstractDataProviderRecordIterator i = dp.searchRecords({"name": dp_op_lt("Zebra")});

Parameters

  arg | the argument for the operator

Returns
  an SearchOperatorInfo hash for use in generic search criteria

## ◆ dp_op_ne()

hash< SearchOperatorInfo > DataProvider::dp_op_ne | ( | auto | arg | ) |

returns an SearchOperatorInfo hash for the `"!="` or `"<>"` operator with the given argument

Example:
  AbstractDataProviderRecordIterator i = dp.searchRecords({"name": dp_op_ne("Smith")});

Parameters

  arg | the argument for the operator

Returns
  an SearchOperatorInfo hash for use in generic search criteria

## ◆ dp_op_not()

hash< SearchOperatorInfo > DataProvider::dp_op_not | ( | hash< auto > | arg | ) |

returns an SearchOperatorInfo hash for the `"not"` operator

Example:
  AbstractDataProviderRecordIterator i = dp.searchRecords({"name": dp_op_not(dp_op_in(200, 300, 500, 9))});

Returns
  an SearchOperatorInfo hash for use in generic search criteria

## ◆ dp_op_regex()

hash< SearchOperatorInfo > DataProvider::dp_op_regex | ( | string | str | ) |

returns an SearchOperatorInfo hash for regular expression matches

Example:
  AbstractDataProviderRecordIterator i = dp.searchRecords({"name": dp_op_regex("%Smith%")});

Parameters

  str | the argument for the operator

Returns
  an SearchOperatorInfo hash for use in generic search criteria